Subject: READY Send rationale

From: Steven Ericsson Zenith <[email-masked]>
Date: Mon, 15 Mar 93 18:28:23 -0600

Ah yes, I recall this discussion now, Marc gave a good description of
the spanning tree algorithm using it in Dallas last. My instinct is to
complain about the implementations that benefit from it. And I don't
really like our design being driven to provide efficiency in certain
implementations because of a system characteristic. However, I should
have come to understand this earlier perhaps.

We need to say something else to guide implementors least they make the
mistake I mentioned earlier. For example, we should say that Ready Send
can always be replaced by Send but that Send may never be replaced by
Ready Send. This gives us some greater portability and permits vendors
to implement Ready Send as Send if they choose. Further, we should
include the rationale that drove us to design in Ready Send.

The above caveat solves my specification problem.

Steven